# class EimXML::Matchers::HaveContent

### Public Class Methods

new(expected) click to toggle source

    # File lib/eim_xml/matcher.rb, line 4
    def initialize(expected)
            @expected = expected
    end

### Public Instance Methods

failure_message() click to toggle source

    # File lib/eim_xml/matcher.rb, line 13
    def failure_message
            "expected #{@target.inspect} must have #{@expected}, but not."
    end

matches?(target) click to toggle source

    # File lib/eim_xml/matcher.rb, line 8
    def matches?(target)
            @target = target
            @target.has?(@expected)
    end

negative_failure_message() click to toggle source

    # File lib/eim_xml/matcher.rb, line 17
    def negative_failure_message
            "expected #{@target.inspect} must not have #{@expected}, but has."
    end